For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Order
      • GETGet Shipment Logs
      • POSTMark Tracking Uploaded
      • GETGet All Shipments for Order
      • GETGet Order Store Data
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel Shipment
      • POSTCancel Shipment by Order ID and Shipment ID
      • GETGet Shipping Methods
      • POSTCancel Order
      • GETGet Shipment Logs by Order ID and Shipment ID
      • GETGet Shipment Status Timeline by Order ID and Shipment ID
      • GETGet Shipment Timeline
      • GETGet Shipment
      • POSTBatch Cancel Shipments
      • GETGet Shipment by Order ID and Shipment ID
      • PUTBulk Update Shipping Service
      • POSTUpdate Shipment Line Items
      • PUTUpdate Shipment Address
      • GETGet Shipment Line Items
      • GETGet Completely Cancelled Orders
      • POSTEstimate Delivery Date
LogoLogo
API ReferenceOrders

Update Shipment Address

||View as Markdown|
PUT
https://sandbox-api.shipbob.com/2026-01/shipment/:shipmentId:updateAddress
PUT
/2026-01/shipment/:shipmentId:updateAddress
$curl -X PUT https://sandbox-api.shipbob.com/2026-01/shipment/1:updateAddress \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "city": "Chicago",
> "street_address1": "100 Belmont Ave",
> "company_name": "Acme Corp",
> "country_code": "US",
> "email": "john@example.com",
> "phone_number": "555-867-5309",
> "recipient_name": "John Doe",
> "state": "IL",
> "street_address2": "",
> "zip_code": "60657"
>}'
1{
2 "error": {},
3 "id": 123456,
4 "is_success": true
5}
Updates the shipping address for a specific shipment.
Was this page helpful?
Previous

Update Shipment Line Items

Next

Get Shipment Line Items

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

shipmentIdintegerRequired
Unique identifier of the shipment

Request

citystringRequired>=1 character
City of customer address
street_address1stringRequired>=1 character
Street Address 1
company_namestringOptional

Company name (optional)

country_codestringOptional
Country code of customer address
emailstringOptional
Customer's email address
phone_numberstringOptional
Phone number of Recipient address
recipient_namestringOptional
Name of customer
statestringOptional
State of customer address
street_address2stringOptional
Street Address 2
zip_codestringOptional
Zipcode of customer address

Response

OK
errorobject or null
Error details if the update was not successful
idlong
Unique identifier of the shipment
is_successboolean
Indicates whether the update was successful

Errors

400
Bad Request Error